<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<placeable type="garageSolarPanels" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://validation.gdn.giants-software.com/xml/fs25/placeable.xsd">
    <storeData>
        <name>$l10n_shopItem_antenna</name>
        <image>store_antenna.png</image>
        <price>0</price>
        <functions>
            <function>$l10n_function_antenna</function>
        </functions>
        <lifetime>1000</lifetime>
        <dailyUpkeep>0</dailyUpkeep>
        <rotation>0</rotation>
        <brand>NONE</brand>
        <species>PLACEABLE</species>
        <category>placeableMisc</category>
        <brush>
            <type>placeable</type>
            <category>production</category>
            <tab>generators</tab>
        </brush>
        <vertexBufferMemoryUsage>2574080</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>477440</indexBufferMemoryUsage>
        <textureMemoryUsage>917504</textureMemoryUsage>
        <audioMemoryUsage>0</audioMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>

    <base>
        <filename>antenna.i3d</filename>
    </base>

    <placement useRandomYRotation="false" useManualYRotation="true">
        <testAreas>
            <testArea startNode="testAreaStart01" endNode="testAreaEnd01" />
            <testArea startNode="testAreaStart02" endNode="testAreaEnd02" />
        </testAreas>

        <sounds>
            <place template="largeImp" />
        </sounds>
    </placement>

    <clearAreas>
        <clearArea startNode="clearAreaStart01" widthNode="clearAreaWidth01" heightNode="clearAreaHeight01"/>
    </clearAreas>

    <leveling requireLeveling="true" maxSmoothDistance="1" maxSlope="75" maxEdgeAngle="30">
        <levelAreas>
            <levelArea startNode="levelAreaStart01" widthNode="levelAreaWidth01" heightNode="levelAreaHeight01"/>
        </levelAreas>
    </leveling>

    <indoorAreas />

    <tipOcclusionUpdateAreas>
        <tipOcclusionUpdateArea startNode="tipOcclusionUpdateAreaStart01" endNode="tipOcclusionUpdateAreaEnd01" />
    </tipOcclusionUpdateAreas>

    <ai>
        <updateAreas>
            <updateArea startNode="tipOcclusionUpdateAreaStart01" endNode="tipOcclusionUpdateAreaEnd01" />
        </updateAreas>
    </ai>

    <solarPanels>
        <solarPanelsConfigurations title="$l10n_finance_missionIncome">
            <solarPanelsConfiguration name="%s %s" params="Antenna 1 5000 /|$l10n_ui_month" isActive="true" price="0" incomePerHour="500"> <!-- Usually 10 hours per day at max -->
                <objectChange node="antenna" visibilityActive="true"/>
                <objectChange node="antenna2" visibilityActive="false"/>
                <objectChange node="antenna3" visibilityActive="false"/>
                <objectChange node="antenna4" visibilityActive="false"/>
            </solarPanelsConfiguration>

            <solarPanelsConfiguration name="%s %s" params="Antenna 2 10000 /|$l10n_ui_month" isActive="true" price="0" incomePerHour="1000">
                <objectChange node="antenna" visibilityActive="false"/>
                <objectChange node="antenna2" visibilityActive="true"/>
                <objectChange node="antenna3" visibilityActive="false"/>
                <objectChange node="antenna4" visibilityActive="false"/>
            </solarPanelsConfiguration>

            <solarPanelsConfiguration name="%s %s" params="Antenna 3 15000 /|$l10n_ui_month" isActive="true" price="0" incomePerHour="1500">
                <objectChange node="antenna" visibilityActive="false"/>
                <objectChange node="antenna2" visibilityActive="false"/>
                <objectChange node="antenna3" visibilityActive="true"/>
                <objectChange node="antenna4" visibilityActive="false"/>
            </solarPanelsConfiguration>

            <solarPanelsConfiguration name="%s %s" params="Antenna 4 20000 /|$l10n_ui_month" isActive="true" price="0" incomePerHour="2000">
                <objectChange node="antenna" visibilityActive="false"/>
                <objectChange node="antenna2" visibilityActive="false"/>
                <objectChange node="antenna3" visibilityActive="false"/>
                <objectChange node="antenna4" visibilityActive="true"/>
            </solarPanelsConfiguration>
        </solarPanelsConfigurations>
    </solarPanels>

    <i3dMappings>
        <i3dMapping id="clearAreaStart01" node="0>0|0" />
        <i3dMapping id="clearAreaWidth01" node="0>0|0|0" />
        <i3dMapping id="clearAreaHeight01" node="0>0|0|1" />
        <i3dMapping id="levelAreaStart01" node="0>1|0" />
        <i3dMapping id="levelAreaWidth01" node="0>1|0|0" />
        <i3dMapping id="levelAreaHeight01" node="0>1|0|1" />
        <i3dMapping id="testAreaStart01" node="0>2|0" />
        <i3dMapping id="testAreaEnd01" node="0>2|0|0" />
        <i3dMapping id="testAreaStart02" node="0>2|1" />
        <i3dMapping id="testAreaEnd02" node="0>2|1|0" />
        <i3dMapping id="tipOcclusionUpdateAreaStart01" node="0>3|0" />
        <i3dMapping id="tipOcclusionUpdateAreaEnd01" node="0>3|0|0" />
        <i3dMapping id="antenna" node="0>4|0" />
        <i3dMapping id="antenna2" node="0>4|1" />
        <i3dMapping id="antenna3" node="0>4|2" />
        <i3dMapping id="antenna4" node="0>4|3" />
    </i3dMappings>
</placeable>